SKB_DEQUEUE_TAIL(9)

NAME
skb_dequeue_tail - remove from the tail of the queue

SYNOPSIS

struct sk_buff * skb_dequeue_tail(struct sk_buff_head * list);

ARGUMENTS

list
    list to dequeue from

DESCRIPTION

Remove the tail of the list. The list lock is taken so the function may be used safely with other locking list functions. The tail item is returned or NULL if the list is empty.

COPYRIGHT